<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-vcs-bazaar.qdoc -->
  <title>Using Bazaar | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Using Bazaar</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-version-control.html" />
  <link rel="next" href="creator-vcs-clearcase.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-version-control.html">Using Version Control Systems</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-clearcase.html">Using ClearCase</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#uncommitting-revisions">Uncommitting Revisions</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Using Bazaar</h1>
<span class="subtitle"></span>
<!-- $$$creator-vcs-bazaar.html-description -->
<div class="descr"> <a name="details"></a>
<p>Bazaar is a free version control system sponsored by Canonical.</p>
<p>In addition to the standard version control system functions described in <a href="creator-version-control.html#using-common-functions">Using Common Functions</a>, you can select <b>Tools</b> &gt; <b>Bazaar</b> &gt; <b>Pull</b> to turn a branch into a mirror of another branch. To update the mirror of the branch, select <b>Push</b>.</p>
<a name="uncommitting-revisions"></a>
<h2 id="uncommitting-revisions">Uncommitting Revisions</h2>
<p>In Bazaar, committing changes to a branch creates a new revision that holds a snapshot of the state of the working tree. To remove the last committed revision, select <b>Tools</b> &gt; <b>Bazaar</b> &gt; <b>Uncommit</b>.</p>
<p>In the <b>Uncommit</b> dialog, select options to keep tags that point to removed revisions and to only remove the commits from the local branch when in a checkout.</p>
<p>To remove all commits up to an entry in the revision log, specify the revision in the <b>Revision</b> field.</p>
<p>To test the outcome of the <b>Uncommit</b> command without actually removing anything, select <b>Dry Run</b>.</p>
<p><b>Uncommit</b> leaves the working tree ready for a new commit. The only change it might make is restoring pending merges that were present before the commit.</p>
</div>
<!-- @@@creator-vcs-bazaar.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-version-control.html">Using Version Control Systems</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-clearcase.html">Using ClearCase</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
